LROUND(3)

NAME
lround, lroundf, lroundl, llround, llroundf, llroundl - round to nearest integer, away from zero

SYNOPSIS
#include <math.h>

long int lround(double x);
long int lroundf(float x);
long int lroundl(long double x);

long long int llround(double x);
long long int llroundf(float x);
long long int llroundl(long double x);

Compile with -std=c99; link with -lm.

DESCRIPTION
These functions round their argument to the nearest integer value, rounding away from zero, regardless of the current rounding direction. If x is infinite or NaN, or if the rounded value is outside the range of the return type, the numeric result is unspecified. A domain error may occur if the magnitude of x is too large.

RETURN VALUE
The rounded integer value. Note that unlike round(3), ceil(3), etc., the return type of these functions differs from that of their arguments.

ERRORS

EDOM
    The magnitude of x is too large and (math_errhandling & MATH_ERRNO) is non-zero.

CONFORMING TO
C99.

SEE ALSO
ceil(3), floor(3), lrint(3), nearbyint(3), rint(3), round(3)